# Save as: /etc/update-motd.d/00-banner

#!/usr/bin/env bash

# Banner
cat << 'EOF'
__________________________________________
 _______/\\\\\__________________/\\\\\_____
  _____/\\\\//____/\\\\\\\\\\___\////\\\\___
   ____\ \\\\_____\//////\\\/_______\ \\\\___
    ___/\\\\/__________/\\\/_________\///\\\\_
     __\///\\\\_______/\\\/____________/\\\\/__
      ____\ \\\\______/\\\\\\\\\\\_____\ \\\\___
       ____\///\\\\\__\///////////____/\\\\\/____
        ______\/////__________________\/////______
         __________________________________________

EOF

# System name & OS
WIDTH=31
SYSTEM="$(hostname) ($(lsb_release -s -d))"
SYSTEM_SPACER=$(expr $WIDTH + length "$SYSTEM" / 2)
printf "%${SYSTEM_SPACER}s\n" "$SYSTEM"
